For the complete documentation index, see llms.txt. This page is also available as Markdown.

Space Codes

Space Code objects

Get space code

get
/v1/space-codes/{id}

This operation returns a single space code by its identifier.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - experienceConfiguration, experienceConfiguration.experienceConfigurationMenus, experienceConfiguration.experienceConfigurationMenus.menu using include query parameter.

  • Sparse fieldsets - supports all fields of spaceCode with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Path parameters
idstring · uuid · min: 36 · max: 36Required

Universally unique ID (UUID) that identifies the space code.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Query parameters
Responses
200

Successful response with space code data in JSON:API format.

application/vnd.api+json
get/v1/space-codes/{id}
GET /pos/v1/space-codes/{id} HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
    "type": "spaceCodes",
    "attributes": {
      "url": "https://example.com/space",
      "designation": "Main Space",
      "description": "Primary space for operations",
      "direction": "North entrance",
      "spaceType": "restaurant",
      "classification": "premium",
      "capacity": "50"
    },
    "relationships": {
      "experienceConfiguration": {
        "data": {
          "id": "5efa8b3c-b930-4b31-918d-95ab0e212e64",
          "type": "experienceConfigurations"
        }
      }
    },
    "links": {
      "self": "https://api.mews-demo.com/pos/v1/space-codes/5efa8b3c-b930-4b31-918d-95ab0e212e64"
    }
  }
}

Last updated

Was this helpful?